/**
 * @license
 * Copyright 2021 Red Hat
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
import { ChangeDetectorRef, EventEmitter } from "@angular/core";
import { ExtensibleNode, Extension } from "apicurio-data-models";
import { CommandService } from "../../../_services/command.service";
import { DocumentService } from "../../../_services/document.service";
import { SelectionService } from "../../../_services/selection.service";
import { AbstractRowComponent } from "../../common/item-row.abstract";
export declare class ExtensionRowComponent extends AbstractRowComponent<Extension, string> {
    private commandService;
    parent: ExtensibleNode;
    onDelete: EventEmitter<void>;
    onRename: EventEmitter<void>;
    /**
     * C'tor.
     * @param changeDetectorRef
     * @param documentService
     * @param commandService
     * @param selectionService
     */
    constructor(changeDetectorRef: ChangeDetectorRef, documentService: DocumentService, commandService: CommandService, selectionService: SelectionService);
    protected updateModel(): void;
    name(): string;
    value(): any;
    valueAsString(): string;
    hasValue(): boolean;
    toggle(): void;
    delete(): void;
    renameExtension(): void;
    setValue(value: string): void;
}
